2014-11-12  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: use
	either readline or pyreadline

2014-11-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am: perform git2cl on local project only

2014-11-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: clearifications on vpcd's docs

2014-10-22  psytester <psytester@users.noreply.github.com>

	*
	virtualsmartcard/npa-example-data/Example_Dataset_Mueller_Gertrud.t
	xt, virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: Allow
	"NotOnChip" for missing DGs of nPA - changes DG13 into BirthName, DG19 into eAT ResidencePermit1 and
	  DG20 into eAT ResidencePermit2 - better reading of datasetfile (empty lines are allowed, new line   character is trimmed from value - Closes #30 #33 #31

2014-10-25  psytester <psytester@users.noreply.github.com>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	ATR problem not for Open eCard, but another one

2014-10-23  psytester <psytester@users.noreply.github.com>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Some ATR values for nPA OS different ATR (Answer To Reset) values depending on used Chip
	version It's just a playground, because in past eID client 'Open
	eCard App' did not recognize the card correctly with newest ATR
	values.

2014-10-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: clouds are for internet

2014-10-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/pcsclite-vpcd/winscard.c: fixed missing
	initialisation

2014-09-15  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	allow fid of ef.dir and ef.atr for file creation

2014-09-15  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: nPA:
	fixed short fid for ef.dir

2014-09-15  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: nPA:
	added EF.DIR to fool Open eCard App

2014-09-12  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd-config/local-ip.c,
	virtualsmartcard/src/vpcd-config/vpcd-config.c,
	virtualsmartcard/win32/vpcd-config/vpcd-config.sln,
	virtualsmartcard/win32/vpcd-config/vpcd-config.vcxproj: vpcd-config:
	added scripts for windows builds

2014-09-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd-config/qransi.c: fixed memory leak

2014-09-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/api/virtualsmartcard.txt: include auto
	generated docs for test module

2014-09-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac, virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in,
	virtualsmartcard/src/Makefile.am,
	virtualsmartcard/src/ifd-vpcd/ifd-vpcd.c,
	virtualsmartcard/src/ifd-vpcd/ifd-vpcd.h,
	virtualsmartcard/src/vpcd-config/Makefile.am,
	virtualsmartcard/src/vpcd-config/local-ip.c,
	virtualsmartcard/src/vpcd-config/qransi.c,
	virtualsmartcard/src/vpcd-config/vpcd-config.c: added vpcd-config

2014-08-01  Dominik <oepen@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/tests/CryptoUtils_test.
	py: Remove PBKDF2 tests

2014-08-01  Dominik <oepen@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/tests/SmartcardSAM_test
	.py: Fix the rest of the Security Environment unit tests This patch fixes the remaining Security Environment test cases so
	that they will at least run. This has already turned up some
	strange/inconsistent behaviour in the Security_Environment class and
	at least one bug (incorrect usage of the bertlv_pack function in the
	generate_public_key_pair method).

2014-08-01  Dominik <oepen@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/tests/SmartcardSAM_test
	.py: Fix one of the SE test cases The SE API has changed so that all the old tests will need to be
	fixed.  This is the first step in this direction.

2014-07-31  Dominik <oepen@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/tests/CryptoUtils_test.
	py,
	virtualsmartcard/src/vpicc/virtualsmartcard/tests/SmartcardSAM_test
	.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/tests/utils_test.py: Add
	license header to tests and fix formating

2014-07-31  Dominik <oepen@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py: Clean
	up PBKDF2 class We currently include the PBKDF2 implementation from the PyCrypto
	author.  This patch removes some of the stuff we do not use and
	need. In the future we should move to the PBKDF2 implementation that
	is nowadays included in PyCrypto to clean up the code even more.

2014-07-31  Dominik <oepen@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/tests/utils_test.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Use the python
	unittest framework for tests of utils.py

2014-07-24  Dominik <oepen@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/tests/CryptoUtils_test.
	py,
	virtualsmartcard/src/vpicc/virtualsmartcard/tests/SmartcardSAM_test
	.py, virtualsmartcard/src/vpicc/virtualsmartcard/tests/__init__.py: 
	Moved unit tests to a subpackage

2014-07-23  Dominik <oepen@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Bump
	the year in the header

2014-07-23  Dominik <oepen@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Convert
	existing unit tests to the python unittest framework

2014-07-23  Dominik <oepen@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fix
	calls to virtualsmartcard.CryptoUtils.append_padding The interface to append_padding changed some time ago but not all
	calls have been adapted yet.

2014-06-20  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in,
	virtualsmartcard/doc/relay-note.txt: working on documentation

2014-06-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	allow connections from any host

2014-06-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: added documentation about remote
	reader

2014-06-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/pcsclite-vpcd/winscard.c: fixed incorrect mix
	of uint32_t/unsigned long int

2014-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/pcsclite-vpcd/winscard.c: fixed missing
	delimiter for reader array

2014-05-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	openpace's python bindings were renamed to eac.py

2014-05-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed running without a given dataset

2014-05-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: README cleanup

2014-05-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/win32/BixVReader/Win7/sources,
	virtualsmartcard/win32/BixVReader/WinXP/sources: don't treat
	compiler warnings as errors

2014-05-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed indentation

2014-05-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* : commit 0de33c842be0a07f55e675748bad42c5e72fe2c0 Author: Frank
	Morgner <morgner@informatik.hu-berlin.de> Date:   Mon May 26
	22:08:52 2014 +0200

2014-05-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in: moved --datasetfile to nPA
	group

2014-05-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* : commit a723b738f9d579d4ac1007fb3d9173f45440f966 Author: Frank
	Morgner <morgner@informatik.hu-berlin.de> Date:   Mon May 26
	21:37:46 2014 +0200

2014-05-20  psytester <psytester@users.noreply.github.com>

	* virtualsmartcard/doc/README.txt.in: README.txt.in update for
	Windows 8 added another comment, since beginning with Windows 8 code signing
	is mandatory

2014-05-19  psytester <psytester@users.noreply.github.com>

	* : Merge pull request #1 from psytester/master part 2 for new option to read dataset file

2014-05-19  psytester <psytester@users.noreply.github.com>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	VirtualSmartcard new option for dataset pass dataset file to CardGenerator

2014-05-19  psytester <psytester@users.noreply.github.com>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	CardGenerator can use input from dataset file see new option in vicc, which will pass the dataset file content to
	CardGenerator

2014-05-19  psytester <psytester@users.noreply.github.com>

	* virtualsmartcard/src/vpicc/vicc.in: vicc reads dataset file That new option -d <dataset file> or --datasetfile <dataset file>
	will read an optional dataset file to be able to start
	vicc->CardGenerator.py with various content

2014-05-09  psytester <psytester@users.noreply.github.com>

	* virtualsmartcard/doc/README.txt.in: Readme.txt.in added hints for
	vpcd on Windows some details how to get build vpcd on Windows 64 bit

2014-05-01  Dominik <oepen@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: Update more links to the old
	repository

2014-04-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac, virtualsmartcard/doc/download.txt,
	virtualsmartcard/doc/questions.txt: moved project home to github

2014-03-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac, virtualsmartcard/src/Makefile.am,
	virtualsmartcard/src/ifd-vpcd/Makefile.am,
	virtualsmartcard/src/ifd-vpcd/ifd-vpcd.c,
	virtualsmartcard/src/ifd-vpcd/ifd-vpcd.h,
	virtualsmartcard/src/ifd-vpcd/reader.conf.in,
	virtualsmartcard/src/libpcsclite/Makefile.am,
	virtualsmartcard/src/libpcsclite/PCSC/debuglog.h,
	virtualsmartcard/src/libpcsclite/PCSC/ifdhandler.h,
	virtualsmartcard/src/libpcsclite/PCSC/pcsclite.h,
	virtualsmartcard/src/libpcsclite/PCSC/pcsclite.h.in,
	virtualsmartcard/src/libpcsclite/PCSC/winscard.h,
	virtualsmartcard/src/libpcsclite/PCSC/wintypes.h,
	virtualsmartcard/src/libpcsclite/debug.c,
	virtualsmartcard/src/libpcsclite/error.c,
	virtualsmartcard/src/libpcsclite/libpcsclite.pc.in,
	virtualsmartcard/src/libpcsclite/misc.h,
	virtualsmartcard/src/libpcsclite/strlcpy.c,
	virtualsmartcard/src/libpcsclite/strlcpycat.h,
	virtualsmartcard/src/libpcsclite/winscard.c,
	virtualsmartcard/src/pcsclite-vpcd/Makefile.am,
	virtualsmartcard/src/pcsclite-vpcd/PCSC/debug.c,
	virtualsmartcard/src/pcsclite-vpcd/PCSC/debuglog.h,
	virtualsmartcard/src/pcsclite-vpcd/PCSC/ifdhandler.h,
	virtualsmartcard/src/pcsclite-vpcd/PCSC/pcsclite.h,
	virtualsmartcard/src/pcsclite-vpcd/PCSC/pcsclite.h.in,
	virtualsmartcard/src/pcsclite-vpcd/PCSC/winscard.h,
	virtualsmartcard/src/pcsclite-vpcd/PCSC/wintypes.h,
	virtualsmartcard/src/pcsclite-vpcd/debug.c,
	virtualsmartcard/src/pcsclite-vpcd/error.c,
	virtualsmartcard/src/pcsclite-vpcd/libpcsclite.pc.in,
	virtualsmartcard/src/pcsclite-vpcd/misc.h,
	virtualsmartcard/src/pcsclite-vpcd/strlcpy.c,
	virtualsmartcard/src/pcsclite-vpcd/strlcpycat.h,
	virtualsmartcard/src/pcsclite-vpcd/winscard.c,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/ifd-vpcd.h,
	virtualsmartcard/src/vpcd/reader.conf.in: use a separate directory
	for ifd-vpcd and pcsclite-vpcd

2014-03-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac, virtualsmartcard/m4/ax_pthread.m4,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpcd/lock.c, virtualsmartcard/src/vpcd/lock.h,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h,
	virtualsmartcard/win32/BixVReader/VpcdReader.cpp,
	virtualsmartcard/win32/BixVReader/Win7/sources,
	virtualsmartcard/win32/BixVReader/WinXP/sources: vpcd: added real
	thread safety

2014-03-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in, virtualsmartcard/doc/api.txt: 
	updated documentation

2014-03-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/win32/BixVReader/BixVReader.ini,
	virtualsmartcard/win32/BixVReader/Reader.h,
	virtualsmartcard/win32/BixVReader/VpcdReader.cpp: vpcd win32: fixed
	race condition

2014-03-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: fixed installation guide for
	vpcd on Windows

2014-03-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in, virtualsmartcard/doc/api.txt: 
	updated documentation

2014-03-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: added documentation about
	Windows driver

2014-03-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/win32/BixVReader/BixVReader.ini,
	virtualsmartcard/win32/BixVReader/BixVReader.rc,
	virtualsmartcard/win32/BixVReader/DllMain.cpp,
	virtualsmartcard/win32/BixVReader/PipeReader.cpp,
	virtualsmartcard/win32/BixVReader/Queue.cpp,
	virtualsmartcard/win32/BixVReader/Queue.h,
	virtualsmartcard/win32/BixVReader/Reader.cpp,
	virtualsmartcard/win32/BixVReader/Reader.h,
	virtualsmartcard/win32/BixVReader/TcpIpReader.cpp,
	virtualsmartcard/win32/BixVReader/VirtualSCReader.idl,
	virtualsmartcard/win32/BixVReader/VpcdReader.cpp,
	virtualsmartcard/win32/BixVReader/Win7/BixVReader.inx,
	virtualsmartcard/win32/BixVReader/Win7/makefile,
	virtualsmartcard/win32/BixVReader/Win7/makefile.inc,
	virtualsmartcard/win32/BixVReader/Win7/sources,
	virtualsmartcard/win32/BixVReader/WinXP/BixVReader.inx,
	virtualsmartcard/win32/BixVReader/WinXP/makefile,
	virtualsmartcard/win32/BixVReader/WinXP/makefile.inc,
	virtualsmartcard/win32/BixVReader/WinXP/sources,
	virtualsmartcard/win32/BixVReader/device.cpp,
	virtualsmartcard/win32/BixVReader/device.h,
	virtualsmartcard/win32/BixVReader/driver.cpp,
	virtualsmartcard/win32/BixVReader/driver.h,
	virtualsmartcard/win32/BixVReader/exports.def,
	virtualsmartcard/win32/BixVReader/internal.h,
	virtualsmartcard/win32/BixVReader/memory.cpp,
	virtualsmartcard/win32/BixVReader/memory.h,
	virtualsmartcard/win32/BixVReader/resource.h,
	virtualsmartcard/win32/BixVReader/sectionLocker.cpp,
	virtualsmartcard/win32/BixVReader/sectionLocker.h,
	virtualsmartcard/win32/vpcd/DllMain.cpp,
	virtualsmartcard/win32/vpcd/Queue.cpp,
	virtualsmartcard/win32/vpcd/Queue.h,
	virtualsmartcard/win32/vpcd/VirtualSCReader.idl,
	virtualsmartcard/win32/vpcd/device.cpp,
	virtualsmartcard/win32/vpcd/device.h,
	virtualsmartcard/win32/vpcd/driver.cpp,
	virtualsmartcard/win32/vpcd/driver.h,
	virtualsmartcard/win32/vpcd/exports.def,
	virtualsmartcard/win32/vpcd/internal.h,
	virtualsmartcard/win32/vpcd/makefile.inc,
	virtualsmartcard/win32/vpcd/makefile.inc.props,
	virtualsmartcard/win32/vpcd/memory.cpp,
	virtualsmartcard/win32/vpcd/memory.h,
	virtualsmartcard/win32/vpcd/resource.h,
	virtualsmartcard/win32/vpcd/sources,
	virtualsmartcard/win32/vpcd/sources.props,
	virtualsmartcard/win32/vpcd/vpcd-Package/vpcd-Package.vcxproj,
	virtualsmartcard/win32/vpcd/vpcd.inx,
	virtualsmartcard/win32/vpcd/vpcd.rc,
	virtualsmartcard/win32/vpcd/vpcd.sln,
	virtualsmartcard/win32/vpcd/vpcd.vcxproj: Migrated to new Version of
	Flavio's Windows driver

2014-03-20  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/win32/vpcd/DllMain.cpp,
	virtualsmartcard/win32/vpcd/Queue.cpp,
	virtualsmartcard/win32/vpcd/Queue.h,
	virtualsmartcard/win32/vpcd/VirtualSCReader.idl,
	virtualsmartcard/win32/vpcd/device.cpp,
	virtualsmartcard/win32/vpcd/device.h,
	virtualsmartcard/win32/vpcd/driver.cpp,
	virtualsmartcard/win32/vpcd/driver.h,
	virtualsmartcard/win32/vpcd/exports.def,
	virtualsmartcard/win32/vpcd/internal.h,
	virtualsmartcard/win32/vpcd/makefile.inc,
	virtualsmartcard/win32/vpcd/makefile.inc.props,
	virtualsmartcard/win32/vpcd/memory.cpp,
	virtualsmartcard/win32/vpcd/memory.h,
	virtualsmartcard/win32/vpcd/resource.h,
	virtualsmartcard/win32/vpcd/sources,
	virtualsmartcard/win32/vpcd/sources.props,
	virtualsmartcard/win32/vpcd/vpcd-Package/vpcd-Package.vcxproj,
	virtualsmartcard/win32/vpcd/vpcd.inx,
	virtualsmartcard/win32/vpcd/vpcd.rc,
	virtualsmartcard/win32/vpcd/vpcd.sln,
	virtualsmartcard/win32/vpcd/vpcd.vcxproj: added windows version of
	vpcd driver based on Fabio Ottavi's UMDF Driver for a Virtual Smart Card Reader,
	see

	http://www.codeproject.com/Articles/134010/An-UMDF-Driver-for-a-Virtual-Smart-Card-Reader

2014-03-17  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: correctly initialize winsock

2014-02-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fix
	return code for blocked PIN

2014-02-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: use
	a 10 digit puk

2014-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: return
	remaining tries of PIN verification in MSE:Set AT

2014-02-23  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: use
	a correct mrz by default

2013-12-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: libpcsclite is a library

2013-12-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in: added documentation about our
	PC/SC implementation

2013-12-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/ifd-vpcd.h: fixed definition for c++

2013-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: use
	python wrappers to EAC_CTX and PACE_SEC requires openpace 17891be5ee99d32e67bd954fbb26ff5eab6a0609

2013-10-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: don't
	use hard coded domain parameters for CA needs OpenPACE 32d42f3b337cb0e9fca5a76824e471f431f4fbe0

2013-10-23  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: use
	convenience wrapper for TA step 6

2013-10-22  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: hard
	coded CA protocol parameters are required currently otherwise the curve will be unknown in OpenPACE. Fixes bug in
	combination with OpenPACE 572eb903590257ac60f1661f0ba69a9994b4c3f5
	and later

2013-10-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: catch
	and debug more errors

2013-09-30  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py: iv is
	mandatory in python-crypto now

2013-09-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: use a
	faked rID

2013-09-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: use
	EAC_init() and EAC_cleanup()

2013-09-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	added more fci data for nPA

2013-08-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: fixed compilation for windows

2013-08-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/download.txt: fixed references to sf's git
	repositories

2013-08-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	reversed connection mode: allow vpcd to reconnect

2013-08-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/libpcsclite/winscard.c: defined missing
	symbols from pcsclite.h

2013-08-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/libpcsclite/winscard.c,
	virtualsmartcard/src/vpcd/ifd-vpcd.c: avoid error: variable modified
	at file scope

2013-08-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/Makefile.am,
	virtualsmartcard/src/libpcsclite/Makefile.am,
	virtualsmartcard/src/libpcsclite/libpcsclite.pc.in,
	virtualsmartcard/src/vpcd/Makefile.am: don't install libvpcd when
	libpcsclite is requested libpcsclite now statically links against libvpcd. This also is fully
	compatible with OpenSC now, which uses dlopen/LoadLibrary for the
	PC/SC provider.

2013-07-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/libpcsclite/Makefile.am,
	virtualsmartcard/src/libpcsclite/debug.c,
	virtualsmartcard/src/libpcsclite/error.c,
	virtualsmartcard/src/libpcsclite/libpcsclite.pc.in,
	virtualsmartcard/src/libpcsclite/misc.h,
	virtualsmartcard/src/libpcsclite/strlcpy.c,
	virtualsmartcard/src/libpcsclite/strlcpycat.h,
	virtualsmartcard/src/libpcsclite/winscard.c: copied helper files
	from PCSC-Lite

2013-07-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	use a valid ATR for handler_test

2013-07-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed handling of SW1=0x61 in handler_test

2013-07-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac, virtualsmartcard/src/Makefile.am,
	virtualsmartcard/src/libpcsclite/Makefile.am,
	virtualsmartcard/src/libpcsclite/PCSC/debuglog.h,
	virtualsmartcard/src/libpcsclite/PCSC/ifdhandler.h,
	virtualsmartcard/src/libpcsclite/PCSC/pcsclite.h,
	virtualsmartcard/src/libpcsclite/PCSC/pcsclite.h.in,
	virtualsmartcard/src/libpcsclite/PCSC/winscard.h,
	virtualsmartcard/src/libpcsclite/PCSC/wintypes.h,
	virtualsmartcard/src/libpcsclite/libpcsclite.pc.in,
	virtualsmartcard/src/libpcsclite/winscard.c,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/ifd-vpcd.h,
	virtualsmartcard/src/vpcd/reader.conf.in,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	implemented my own version of libpcsclite Allows customizing of the default adress to which vpcd or
	libpcsclite connect to.  My libpcsclite is currently not thread safe. It should not be
	installed together with PCSC-Lite since both packages have
	conflicting files. Use ./configure --enable-libpcsclite to use my
	version. Use ./configure --enable-vpcdhost=ADRESS to define
	connection mode and adress of vpicc.

2013-07-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in,
	virtualsmartcard/doc/vpcd_example.conf,
	virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h,
	virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/test_vicc_with_handler_test.sh: implemented
	reversed connection establishment vpcd can now be configured connect to a previously started vpicc.

2013-07-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/reader.conf.in: use ifd handler api v3.0
	only.  port for connection may be specified in the device name

2013-07-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	fixed extracting reference flags for select

2013-07-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	catch SwErrors in formatResult

2013-07-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	switch verbosity level via command line

2013-07-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	use hexdump to print strings of objects

2013-07-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: raise
	a SW error on failed decryption

2013-07-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	wrap errors in sm if decryption was successfull

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac: version bump

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/ChangeLog: updated ChangeLog

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am: fixed location of .git

2013-06-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am: fixed distcheck-hook

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in: include program version in
	help

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: throw an error if the APDU is
	too big

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	implemented vicc to pass PCSC-Lite's handler_test

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: check for vicc presence and
	return immediately

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/api.txt: network byte order is big endian

2013-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: get cards atr on first try

2013-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	fixed asn1 structure of nPA's default data

2013-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/ifd-vpcd.c: removed debug output

2013-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am: use libpcsclite.pc's new
	serialconfdir

2013-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in,
	virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	allow multiple cards to connect to vpcd due to limitations of pcscd this is currently limited to 10 cards.
	Note that there is a double free corruption in pcscd when unloading
	the driver.

2013-06-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am: generate ChangeLog from git

2013-06-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in: include a summary in
	documentation and tools

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am: fixed default location of
	reader.conf.d use `./configure --confdir` for changing the default

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/m4/.gitignore: added empty m4 directories ... to satisfy autoconf

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	added default cvca trust anchor (German eID PKI)

2013-06-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	added meaningfull default data

2013-05-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in, virtualsmartcard/doc/api.txt,
	virtualsmartcard/doc/autotools.txt,
	virtualsmartcard/doc/download.txt,
	virtualsmartcard/doc/relay-note.txt: working on documentation

2013-05-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: fixed compiler warning

2013-05-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c,
	virtualsmartcard/src/vpcd/vpcd.h: made vpcd.c/vpcd.h
	windows-compatible

2013-05-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am, virtualsmartcard/configure.ac,
	virtualsmartcard/npa-example-data/Makefile.am,
	virtualsmartcard/npa-example-data/dh/Makefile.am,
	virtualsmartcard/npa-example-data/ecdh/Makefile.am: distributing npa
	example data

2013-03-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/README, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in,
	virtualsmartcard/doc/README.txt,
	virtualsmartcard/doc/README.txt.in, virtualsmartcard/doc/api.rst,
	virtualsmartcard/doc/api.txt,
	virtualsmartcard/doc/api/virtualsmartcard.CardGenerator.txt,
	virtualsmartcard/doc/api/virtualsmartcard.ConstantDefinitions.txt,
	virtualsmartcard/doc/api/virtualsmartcard.CryptoUtils.txt,
	virtualsmartcard/doc/api/virtualsmartcard.SEutils.txt,
	virtualsmartcard/doc/api/virtualsmartcard.SWutils.txt,
	virtualsmartcard/doc/api/virtualsmartcard.SmartcardFilesystem.txt,
	virtualsmartcard/doc/api/virtualsmartcard.SmartcardSAM.txt,
	virtualsmartcard/doc/api/virtualsmartcard.TLVutils.txt,
	virtualsmartcard/doc/api/virtualsmartcard.VirtualSmartcard.txt,
	virtualsmartcard/doc/api/virtualsmartcard.cards.cryptoflex.txt,
	virtualsmartcard/doc/api/virtualsmartcard.cards.ePass.txt,
	virtualsmartcard/doc/api/virtualsmartcard.cards.nPA.txt,
	virtualsmartcard/doc/api/virtualsmartcard.cards.txt,
	virtualsmartcard/doc/api/virtualsmartcard.txt,
	virtualsmartcard/doc/api/virtualsmartcard.utils.txt,
	virtualsmartcard/doc/autotools.rst,
	virtualsmartcard/doc/autotools.rst.in,
	virtualsmartcard/doc/autotools.txt,
	virtualsmartcard/doc/autotools.txt.in,
	virtualsmartcard/doc/download.rst,
	virtualsmartcard/doc/download.rst.in,
	virtualsmartcard/doc/download.txt,
	virtualsmartcard/doc/download.txt.in,
	virtualsmartcard/doc/questions.rst,
	virtualsmartcard/doc/questions.rst.in,
	virtualsmartcard/doc/questions.txt,
	virtualsmartcard/doc/questions.txt.in: respect sphinx style guide to
	some extent see

	http://documentation-style-guide-sphinx.readthedocs.org/en/latest/style-guide.html

2013-02-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/npa-example-data/dh/DETESTATDE019,
	virtualsmartcard/npa-example-data/dh/DETESTCVCA00003,
	virtualsmartcard/npa-example-data/dh/DETESTDVDE019,
	virtualsmartcard/npa-example-data/ecdh/DECVCAAT00001,
	virtualsmartcard/npa-example-data/ecdh/DETESTATDE019,
	virtualsmartcard/npa-example-data/ecdh/DETESTDVDE019: added
	cvc_rehash'ed test files

2013-02-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/README.rst: fixed typo

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in,
	virtualsmartcard/doc/download.rst,
	virtualsmartcard/doc/download.rst.in,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in: updated documentation

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	import of EF.CardSecurity was a degradation of OpenPACE
	7016e1a6e958cb7b9a241c059deb807f31dff5fe

2012-12-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/doc/autotools.rst: include OpenSC as submodule

2012-12-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	fixed resume PIN command PACE with CAN followed by PACE with PIN in SM failed, because the
	eac_ctx holding the SM context was always cleared at the beginning
	of the second PACE run.

2012-12-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	printing of EAC CTX

2012-11-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted
	to changes of OpenPACE Now works with OpenPACE 5182c69ee9dfe4ad7787d4f513d467d81a1f27ed

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted to
	latest changes of openpace works with openpace 702cf84aaa01ef5dc490d32208067a89a33102c1

2012-10-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/configure.ac: comprehensive checking for help2man

2012-10-12  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: let
	MSE:Set AT distinguish between tags 83, 84

2012-10-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	selecting MF on reset and power up

2012-10-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am,
	virtualsmartcard/test_vicc_with_npa-tool.sh: added script to test
	vicc with npa-tool

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted
	to changes of openpace in 91d6ee1ec80f6...

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: added
	`--cvca` parameter

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in: updated help for
	`--disable-checks`

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	updated CLI information regarding CAR

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: ignoring
	CVCA certificate for `--disable-checks` This essentially lets the terminal's DVCA certificate to be imported
	without being checked using the CVCA trust anchor.

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	PACE_STEP3D_verify_authentication_token

2012-10-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	initialize ca without specifying `protocol`

2012-10-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	ALGO_MAPPING: added oids for TA, CA, RI and PACE

2012-10-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	removed --ca-pubkey command line option The public key is extracted from the EF.CardSecurity instead.

2012-10-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: added
	option to disable validity period check

2012-09-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	TA's ephemeral public key is saved as IV in CRT

2012-09-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c: vpcd: fixed prototype of sendall

2012-09-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: npa:
	pass authentication token as string

2012-09-22  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/npa-example-data/ecdh/npa_key: Added nPA example
	data Taken from the official BSI EAC worked example.

2012-09-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: Skip
	RI, community and age verification simply return 0x9000 saying "yes" to everything

2012-09-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	fixed offset checking for empty files

2012-09-12  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: added
	support for checking Expiry date

2012-09-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed parsing of CLA with proprietary SM activates SM also for the proprietary case

2012-09-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: nPA:
	added stubs for eid application

2012-09-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	switching encryption context of current SE in SAM

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA:
	added FIXME for EF.CardSecurity manipulation

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: removed
	the currently unused getenc and setenc These functions intended to do encryption and decryption respecting
	file acls. This however was never implemented. Better use object
	properties with appropriately setters and getters to realize this
	functionality.

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	nPA: allow the user to specify a EF.CardAccess

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: workaround
	for CAPDU's inability to handle le=0000

2012-09-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py: 
	fixed maximum value for le = 00 [00 [00]]

2012-08-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA: use
	given credentials for CA The user can now specify an EF.CardSecurity, CA private/public key
	and CHR of the trust anchor via the command line.

2012-08-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: fixed
	handeling of extended length Le in SM APDU

2012-08-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/Makefile.am, virtualsmartcard/configure.ac: fixed
	autoconf warnings

2012-08-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	VPCD: partial rewrite of socket communication - memory for buffer of received data is now reused with realloc - internal functions now use a similar interface like recv/send/...  - added documentation about memory handling of
	vicc_getatr/vicc_transmit - fixed transmit when using send in multiple passes

2012-08-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* virtualsmartcard/src/vpcd/vpcd.c,
	virtualsmartcard/src/vpcd/vpcd.h: only propagate convenience
	functions of VPCD

2012-06-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in: added documentation about how to
	access the vpicc under windows git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@782
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd-vpcd.c: fixed clang --analyze
	warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@780
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd-vpcd.c: fixed clang compiler
	warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@779
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: changed
	response data for general authenticate step 4 to work with
	ausweisapp 1.8 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@776
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted
	to changes of PyPACE r79 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@775
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed interface to pyscard git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@774
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile.am: use distcheck-hook to generate
	ChangeLog git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@773
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac: added missing checks at configure
	time git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@766
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac: checking for doxygen git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@764
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	released 0.5 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@759
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile.am: only generate changelog when working
	in repository git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@758
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile.am: automatically generate changelog
	when releasing git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@757
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am: use macro for sed im makefiles git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@755
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpicc/Makefile.am: generate man page for vicc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@754
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in: added version info git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@753
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: formatting defaults by hand to
	avoid default: None git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@752
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: dont mention authors in help The argument formatter removes linebreaks and paragraphs, so we have
	to reduce the amount of information shown.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@751
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in: improved vicc help git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@750
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: load
	card specific modules only when needed git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@749
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in: updated documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@743
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac: more readable information via
	autoconf git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@734
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-03-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	fixed throwing SwError thanks, Ben.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@728
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-03-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/autotools.rst: added recommended configure
	options to documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@727
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	manipulation of EF.CardSecurity with CA public key git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@717
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: removed
	manipulation of ef_card_security since this would require the
	complete public point instead of the compressed public point git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@716
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: adapted
	to pypace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@715
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	modifying ef cardsecurity to contain the chips public key (but a
	wrong signature) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@714
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: debug
	unprotected result git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@713
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	CA, which is now successfully tested git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@712
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: - fixed CA OID - applied pypace interface for ca git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@711
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	mapping ca oid to the correct algorithm git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@704
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	Subroutines to parse_SM_CAPDU, protect_response and
	perform_security_operation only return the resulting string and no
	longer status bytes This prevents overwriting of the statusbytes when applying SM.
	Errors should be returned via `raise SwError` git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@703
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	import of auxiliary data for TA. Terminals signature can be verified
	now git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@702
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: more
	convenient values for pin and can git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@701
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	added ef card security git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@699
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: better
	debug output git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@695
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	import of CV certificates. Terminal's signature is currently wrongly
	checked (as 'invalid').  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@692
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: fixed
	parsing of extended length apdu with Le = max git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@691
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: Fixed
	a typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@690
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: Fixed
	a typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@689
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: fixed
	typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@688
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: fixed
	calculation of bertlv coded data for authentication git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@687
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: Removed
	broken code git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@686
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: nPA's SM
	now successfully tested - fixed SEutils to use new input data to append_padding - added defines to reference nPA's secrets (as keyref) - fixed send sequence counter handling in nPA - added protect_response to nPA to authenticate the status bytes - implemented reset retry counter for nPA git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@685
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: include
	most recent ca in response successfull PACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@684
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-20  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: 
	-Propagate changes to append_padding to all files -Adjust
	strip_padding to match append_padding git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@683
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-20  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Use the
	blocklength of the actual cipher to append padding (instead of
	hardcoded DES-CBC blocklength) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@682
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: added
	SM. currently untested due to bug in OpenPACE or pyPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@681
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-04  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Adapted
	TA steps to pypace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@679
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: fixed help strings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@678
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: switched to argparse git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@677
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: added
	support for TA and CA (currently untested) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@676
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-19  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: added PIN
	management for nPA git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@675
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: - added dedicated nPA_SE - saving mf in Security_Environment git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@674
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	introducing a default SE for all cards git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@673
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: using
	if/else instead of a dedicated handler for eac steps git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@672
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: added PACE
	support for nPA emulator git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@671
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: bugfix git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@670
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/Makefile.am: fixed missing bracket git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@669
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-11  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Partial
	conversion to python 3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@667
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@666
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: 
	git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@665
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/api.rst: documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@663
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: - fixed sw when reading until end of file - let npa emulator act like real npa (until general authenticate
	occurrs) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@662
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: dont
	throw an error on mse:set at. using source code, which was
	priviously deleted.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@661
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in,
	virtualsmartcard/doc/generate_modules.py: dont document special
	members git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@659
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Remove
	dummy code for tags which are already handled by the ISO code git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@658
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: dont
	throw an error on mse:set at. using source code, which was
	priviously deleted.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@656
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/api.rst: generate the correct links to class
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@655
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/api.rst,
	virtualsmartcard/doc/virtualsmartcard: documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@654
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/generate_modules.py: include inheritance
	graphs git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@653
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: import
	chat as late as possible to not confuse generation of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@652
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpicc/Makefile.am: autoconf macros for sed, ln
	and mkdir git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@651
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Bugfixes:
	nPA emulator is now working git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@650
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Bugfixes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@649
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Bugfixes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@648
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/nPA.py: Do not
	overide the OS but only the SAM and parts of the SE for nPA
	emulation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@647
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/api.rst: added network format vpcd<->vpicc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@645
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	minimal nPA emulation. use it to fetch and print a chat. uses pypace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@643
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: removed
	debug message git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@642
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst: updated documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@640
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am: added Cygwin as supported
	platform git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@639
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/README.rst.in: not using static path for
	program-output. instead setting the correct envirnment in conf.py.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@635
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst, virtualsmartcard/doc/README.rst.in: 
	included help output from programs in documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@627
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac, virtualsmartcard/doc/Makefile.am: 
	cleaned up build of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@625
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am: - update on ccid documentation - rebuilding documentation when any *.in file changes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@613
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: removed
	warnings from sphinx git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@612
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/generate_modules.py: switched to sphinx 1.1 to
	document special and private members git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@611
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	sphinx formatting for documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@610
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	Minor fixes to sphinx markup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@609
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py: 
	removed warnings by sphinx due to invalid formatting git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@608
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py: 
	Converting docstrings to sphinx syntax git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@607
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/autotools.rst,
	virtualsmartcard/doc/questions.rst: added autogenerated files for
	easier development checkout git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@606
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am: only refresh documentation if
	needed git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@605
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst.in: added potential platforms to
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@604
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac: print pcsc conf dir git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@600
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst, virtualsmartcard/doc/README.rst.in: 
	more autotool magic git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@599
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile.am, virtualsmartcard/configure.ac,
	virtualsmartcard/doc/Makefile.am: - more autotool magic in documentation files - including substituted documentation files with distributed files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@597
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/questions.rst.in: - worked around warnings of sphinx - using generic file for questions for all subprojects git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@595
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/api/Makefile.am: correctly include api and
	generate_modules.py git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@592
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile.am, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst,
	virtualsmartcard/doc/autotools.rst.in: using generic autotools
	description for all subprojects git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@591
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-28  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/README.rst: added more markup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@590
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/generate_modules.py: using an other version of
	generate_modules.py that structures the modules slightly better git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@589
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile.am, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/api.rst,
	virtualsmartcard/doc/generate_modules.py: automagically generate
	documentation of virtualsmartcard git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@588
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile.am, virtualsmartcard/README,
	virtualsmartcard/configure.ac, virtualsmartcard/doc/Makefile.am,
	virtualsmartcard/doc/README.rst,
	virtualsmartcard/src/vpicc/Makefile.am: using a dedicated folder for
	documentation in each subproject git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@587
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@586
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@584
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: better rendering of basic information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@583
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: -Remove references to indices from
	index.rst -Add some meta information to virtualsmartcard docs -Add
	link to cyberflex-shell git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@582
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-12  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: Converted most of the documentation to
	reStructuredText in order to be able to sphinx for documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@545
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: fixed
	problems on initialization git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@530
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-07  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in: Lexically sorted the optparse
	options git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@527
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-06  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SWutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Removed vim
	folding markers git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@526
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-06  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Added documentation generation to build process git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@525
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Fixed the
	documentation. epydoc still fails to build html files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@524
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: -Fixed
	indention -Improved a comment git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@516
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: 
	Removed duplicate code git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@515
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py: Added
	some documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@514
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: Make
	pylint happy git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@513
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: - Remember the password when loading a card from disk and reuse it
	when saving the card.  - Added a bit of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@512
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-24  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: Slight
	improvements to generate_public_key. Unfortunately the function is
	still broken git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@510
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: More
	cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@509
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py: 
	Cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@508
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: Added
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@507
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: 
	Reduced overlap between ePass_SE and PassportSAM git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@506
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Code cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@505
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: -Added some
	documentation -Partially fixed format string usage in the logger git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@504
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: - Removed MF reference from Security Environment (only needed for
	cryptoflex card) - General code cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@503
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@502
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py: - Move CryptoflexMF to cards.cryptoflex - A little bit of code cleanup in SmartcardFilesystem.py git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@501
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	Fixed broken imports git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@500
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/__init__.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/cryptoflex.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/cards/ePass.py: 
	Refactoring: Moving card specific stuff to separate package git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@499
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Added
	a bit of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@498
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Moved
	Security_Environment code to the SEutils file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@497
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	Code cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@496
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	-Bugfix: Selection from current DF -Replaced print by logging git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@495
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SWutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	-Updated copyright date -Added a little bit of documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@494
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removed incorrect sanity check git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@493
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removed incorrect sanity check git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@492
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fixed
	urandom() usage git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@491
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fixed
	urandom() usage git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@490
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Refactoring: Merged Secure_Messaging and Security_Environment
	classes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@489
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fixed
	some typos git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@487
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Fix
	storage and retrieval of Security Environments git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@486
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Removed
	duplicate method git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@485
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Forgot to return SW[NORMAL] in case an MSE command actually succeeds
	:-) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@484
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: The
	__replace_tag function was completely broken. It is now somewhat
	fixed, but should still be replaced by a more elegant solution.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@483
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: Added some
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@482
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/vpcd.c: reusing socket on reconnect git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@480
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Added
	a SAM reference to the Secure_Messaging class in order to resolve an
	error.  The classes in SmartcardSAM are way too entangled and
	definitively need to be refactored.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@479
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	checking attribute existance before referencing it git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@478
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py: fixed
	bogus import git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@477
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Bugfixes: Fixed import error and incorrect method call git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@475
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py: Bugfixes:
	Wrong number of arguments for function call and missing import git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@474
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Replaced print calls by actual logging git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@473
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	Bugfix: Missing self. before reference to content dictionary git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@472
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-30  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Better exception handling git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@471
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-30  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Code style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@470
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@469
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@468
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@467
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Merged CardContainer class with SAM.  Since part of the CardContainer functionallity was removed and the
	seperation between both classes seemed kind of random, CardContainer
	was ditched in favor of SAM.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@466
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@465
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removed remaining call to CardContainer.getKey git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@464
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Removed
	in-memory encryption of data. We didn't use it and it was probably
	buggy anyway, so this is a good opportunity to get rid of some
	awkard code.  In memory encryption might be properly implemented
	lateron using the SAM.FSencrypt and SAM.FSdecrypt functions, but I
	doubt it's worth the trouble.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@463
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@462
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py: Bugfixing
	and code style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@461
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	-Bugfix: Added missing import in PassportSAM -Bugfix: Fixed constant
	names in SEutils git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@460
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removing unused functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@459
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removing unused functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@458
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Removing unused functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@457
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py: Added
	convenience functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@456
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@455
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@454
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements and bugfixing in mutual_authenticate git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@453
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@452
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@451
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Code
	style improvements git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@450
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Bug
	hunting and beautifying with pylint git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@449
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	-Bugfix: Fixed incorrect indention -Bugfix: Do not default to MD5
	hashing git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@448
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	Bugfix: adapted changed signature of the Security_Environment
	constructor git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@447
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Even
	though there may be different Keys to protect CAPDUs and RAPDUs
	there is only one Security Environment. Therefore, I merged the
	CAPDU_SE and RAPDU_SE into current_SE. Works with the ePass
	Emulation, still need to test it with the cryptoflex card.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@446
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	SmartcardSAM: Fixed syntax errors SEutils: Now replying with error
	RAPDU when we do not support a referenced algorithm git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@445
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-29  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: Various
	Bugfixes with regard to parsing a MSE:SetAT.  The whole SE and SAM
	system should really be rewritten.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@444
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: -Moved MAX_LE
	defines to ConstantDefinitions -Added a parameter to control whether
	or not an ISO card supports extended length APDUs -Correctly
	indicating extended length support in the ATR git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@439
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Imported
	minor bugfix from upstream git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@437
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: -Removed
	unused code from utils.py -Added a unit test for case 2 extended
	length APDUs git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@436
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	-Bugfix: The Le of the Command APDU was used when sending out an
	error R_APDU -Enhancement: Using correct effective Le for R_APDUs git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@435
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: -Bugfix:
	Erroneously set Lc and not Le for case 2 APDUs -Added new property
	effective_Le git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@434
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py: 
	Fixed typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@430
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: Preliminary
	extended length APDU support git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@429
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py: 
	Bugfix: wrong parameters were set in a call for formatResult git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@428
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac: silent build rules git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@427
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd-vpcd.c: clearification on
	requirements for compliance to IFDHandler API version 3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@426
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	released 0.4, which was mistakenly tagged 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@416
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	released 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@412
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* : Reverting bad commit git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@401
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* : Shut up autotools git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@400
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: fixed
	generation of ePass file system (fixes 3164830) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@393
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	*
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py: 
	fixed path walking (fixes 3164775) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@392
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: update information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@382
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	releasing 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@372
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/vpcd.c: unified usage of sizeof.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@342
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README, virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpcd/ifd-vpcd.c,
	virtualsmartcard/src/vpcd/ifd.c: - renamed ifd.c to ifd-vpcd.c to have more readable logging in pcscd - updated support information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@336
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpcd/reader.conf.in,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/vicc.in,
	virtualsmartcard/src/vpicc/virtualsmartcard.in: - switched from perl to sed for substitution of autoconf variables - changed from generating reader.conf to vpcd in /etc/reader.conf.d git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@329
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/vicc.in: added missing file, deleted
	unused file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@328
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py: 
	merged with changes of r320 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@326
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/CardGenerator.py,
	virtualsmartcard/src/vpicc/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/CryptoUtils.py,
	virtualsmartcard/src/vpicc/Makefile.am,
	virtualsmartcard/src/vpicc/SEutils.py,
	virtualsmartcard/src/vpicc/SWutils.py,
	virtualsmartcard/src/vpicc/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/TLVutils.py,
	virtualsmartcard/src/vpicc/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/utils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CardGenerator.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/CryptoUtils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SEutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SWutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/TLVutils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/__init__.py,
	virtualsmartcard/src/vpicc/virtualsmartcard/utils.py: grouped
	virtual smartcard objects in virtualsmartcard package git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@325
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: added
	inconsistency check for the received apdu git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@324
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: let vicc recognize
	shutdown of vpcd git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@323
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: added workaround for bug 312754
	of pcsc-lite git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@322
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: RelayOS: removed
	card observer (thread). a removed card is now handled by exceptions.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@321
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/SmartcardSAM.py: -pycrypto should now
	only be imported if an instance of the SAM class is created -Removed
	deprecated unit tests -fixed some bugs caused by incorrect naming git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@320
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: added status
	message git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@319
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/vpcd.c,
	virtualsmartcard/src/vpicc/VirtualSmartcard.py: activated ATR
	polling as workaround for pyscard bug #3084449. now when the real
	smartcard is removed, the relay process terminates git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@318
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: checked ifd.c and vpcd.c with
	flawfinder rats and pscan git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@315
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: fixed problems for workaround of
	pcscd bug 312749 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@314
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c,
	virtualsmartcard/src/vpcd/reader.conf.in: added workaround for pcscd
	bug #312749 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@313
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: added length check on rapdu
	buffer.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@312
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: modified error
	messages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@311
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c,
	virtualsmartcard/src/vpcd/reader.conf.in,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	now reading the port to open from reader.conf git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@310
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: - added more error handling to RelayOS - vicc in relay mode terminates when card is removed - created cleanup routines to use with atexit.register git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@309
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: - added workaround for "Error resetting card." in pcscd. it is
	propably a bug in pcscd - added more debug information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@308
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: added better
	inheritance to smartcard os's git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@307
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/VirtualSmartcard.py: - exception handling on power up and power down - added workaround for pyscard bugs #3083586 and #3083254 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@306
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: added debug information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@305
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-10-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/CardGenerator.py,
	virtualsmartcard/src/vpicc/VirtualSmartcard.py: implemented smart
	card class for relaying git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@303
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-07-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/configure.ac: 
	releasing 0.2 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@185
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-06-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c: removed the last references of
	references to ifdhandler functions v1.0 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@167
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-06-22  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpicc/SmartcardSAM.py: -Fixed two unhandled
	exceptions -Removed some trailing whitespaces git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@164
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-06-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c,
	virtualsmartcard/src/vpcd/vpcd.c,
	virtualsmartcard/src/vpicc/VirtualSmartcard.py: - changed vpcd driver to use ifdhandler api v 3.0, since   support for v 1.0 has been dropped as of pcsc-lite 1.6 - fixed initialization error of vpcd due to uninitialized value - changed virtual smartcard to use todays python syntax git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@163
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-06-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/ifd.c,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h: 
	forcing empty parameter list with function(void) instead of
	unspecified parameter list with function() git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@162
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-06-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am: added missing files for
	distribution packages. fixed installation when no serialdropdir is
	given.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@142
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-06-08  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@137
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-06-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog: updated checksums, install files for
	recipes. updated log files for 0.6.1 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@132
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-05-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/src/vpcd/Makefile.am: bugfix: using libtool for
	installation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@112
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-05-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpcd/Makefile.am: be less restrictive in
	./configure. better output of configuration details git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@105
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-05-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/configure.ac,
	virtualsmartcard/src/vpicc/Makefile.am: added missing files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@104
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-05-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/ChangeLog, virtualsmartcard/INSTALL,
	virtualsmartcard/Makefile, virtualsmartcard/Makefile.am,
	virtualsmartcard/NEWS, virtualsmartcard/src/Makefile.am,
	virtualsmartcard/src/vpcd/Makefile.am,
	virtualsmartcard/src/vpcd/ifd.c,
	virtualsmartcard/src/vpcd/reader.conf.in,
	virtualsmartcard/src/vpcd/vpcd.c, virtualsmartcard/src/vpcd/vpcd.h,
	virtualsmartcard/src/vpicc/CardGenerator.py,
	virtualsmartcard/src/vpicc/ConstantDefinitions.py,
	virtualsmartcard/src/vpicc/CryptoUtils.py,
	virtualsmartcard/src/vpicc/SEutils.py,
	virtualsmartcard/src/vpicc/SWutils.py,
	virtualsmartcard/src/vpicc/SmartcardFilesystem.py,
	virtualsmartcard/src/vpicc/SmartcardSAM.py,
	virtualsmartcard/src/vpicc/TLVutils.py,
	virtualsmartcard/src/vpicc/VirtualSmartcard.py,
	virtualsmartcard/src/vpicc/utils.py,
	virtualsmartcard/src/vpicc/virtualsmartcard.in,
	virtualsmartcard/vpcd/ifd.c, virtualsmartcard/vpcd/vpcd.c,
	virtualsmartcard/vpcd/vpcd.h,
	virtualsmartcard/vpicc/CardGenerator.py,
	virtualsmartcard/vpicc/ConstantDefinitions.py,
	virtualsmartcard/vpicc/CryptoUtils.py,
	virtualsmartcard/vpicc/SEutils.py,
	virtualsmartcard/vpicc/SWutils.py,
	virtualsmartcard/vpicc/SmartcardFilesystem.py,
	virtualsmartcard/vpicc/SmartcardSAM.py,
	virtualsmartcard/vpicc/TLVutils.py,
	virtualsmartcard/vpicc/VirtualSmartcard.py,
	virtualsmartcard/vpicc/utils.py: switched to autotools git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@103
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-05-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile: updated file references of install
	target git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@97
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-02-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpcd/vpcd.c: moved operations for opening sockets
	into separate functions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@39
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-02-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpicc/CardGenerator.py,
	virtualsmartcard/vpicc/VirtualSmartcard.py: - Object orientated refactoring of CardGenerator - PassportOS class in VirtualSmartcard.py is no longer needed,
	because all the functionallity is now in CardGenerator - Removed hard coded image - Added version number and type to file format git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@38
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-30  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpicc/CardGenerator.py,
	virtualsmartcard/vpicc/CryptoUtils.py,
	virtualsmartcard/vpicc/SmartcardSAM.py,
	virtualsmartcard/vpicc/VirtualSmartcard.py,
	virtualsmartcard/vpicc/testconfig.mf,
	virtualsmartcard/vpicc/testconfig.sam: Refactoring and Bugfixing: - CryptoUtils:     - removing hard coded keylength from append_padding in
	    CryptoUtils - rewrote append_padding, slightly modified strip_padding in
	    CryptoUtils - added get_cipher_keylen and get_cipher_blocklen to CryptoUtils     - Updated UnitTest in CryptoUtils. Note: PBKDF2.self_test()
	    fails!!! - added new function protect_string to encrypt and authenticate a
	    string - Removed hard coded padding pattern - VirtualICC:     - Added and integrated functions to load and save VirtualICC
	    objects - Added exception handling for opening of the socket - SmartcardSAM:     - Removed all object persistance functionaliy from SmartcardSAM     - Changed the constructors of the *SAM classes - Moved all the functionality to create cards (especially the
	pre-initialized filesystems for each card type) to the new file
	GenerateCards.py - Added minimal command line based interface to GenerateCards.py to
	generate customized cards and store them in a file - Removed default sam and mf files (testconfig.mf and
	testconfig.sam) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@35
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-25  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile: Small Makefile fix: Added default
	target to virtualsmartcard/Makefile git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@30
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpicc/SmartcardSAM.py: PassportSAM: MRZ for key
	derivation is now read from MF instead of hard-encoding it in the
	code git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@25
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-23  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpicc/SmartcardSAM.py,
	virtualsmartcard/vpicc/VirtualSmartcard.py: Changed Passport
	testdata git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@24
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-13  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/Makefile, virtualsmartcard/vpcd/ifd.c,
	virtualsmartcard/vpcd/vpcd.c, virtualsmartcard/vpcd/vpcd.h,
	virtualsmartcard/vpicc/VirtualSmartcard.py: - added functions for a smartcard reset - changed communication protocol via socket, length is coded in
	network byteorder - splitted vpcd.[h|c] into more files, added include-guards git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@18
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpicc/VirtualSmartcard.py: bugfix git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@15
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpicc/SmartcardFilesystem.py,
	virtualsmartcard/vpicc/VirtualSmartcard.py: added serial number to
	cryptoflex. opensc can read it.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@14
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpicc/SmartcardFilesystem.py: bugfix git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@13
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/vpicc/VirtualSmartcard.py: bugfix git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@12
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-01-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/virtualsmartcard.bb: Separated bitbake recipes.
	vscarchitecture.bb simply collects the other recipes now.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@6
	96b47cad-a561-4643-ad3b-153ac7d7599c

2009-11-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/README: Added information about running
	virtualsmartcard.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@5
	96b47cad-a561-4643-ad3b-153ac7d7599c

2009-08-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* virtualsmartcard/AUTHORS, virtualsmartcard/COPYING,
	virtualsmartcard/INSTALL, virtualsmartcard/README,
	virtualsmartcard/vpcd/vpcd.c, virtualsmartcard/vpcd/vpcd.h,
	virtualsmartcard/vpicc/ConstantDefinitions.py,
	virtualsmartcard/vpicc/CryptoUtils.py,
	virtualsmartcard/vpicc/SEutils.py,
	virtualsmartcard/vpicc/SWutils.py,
	virtualsmartcard/vpicc/SmartcardFilesystem.py,
	virtualsmartcard/vpicc/SmartcardSAM.py,
	virtualsmartcard/vpicc/TLVutils.py,
	virtualsmartcard/vpicc/VirtualSmartcard.py,
	virtualsmartcard/vpicc/utils.py: Added project informations.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@4
	96b47cad-a561-4643-ad3b-153ac7d7599c

2009-08-06  schertz123456 <schertz123456@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* Initial commit.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@1
	96b47cad-a561-4643-ad3b-153ac7d7599c

